> ## Documentation Index
> Fetch the complete documentation index at: https://docs.optexity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Callback Data



## OpenAPI

````yaml https://api.optexity.com/openapi.json post /api/v1/get_callback_data
openapi: 3.1.0
info:
  title: Dashboard Backend API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/get_callback_data:
    post:
      tags:
        - task_details
      summary: Get Callback Data
      operationId: get_callback_data_api_v1_get_callback_data_post
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
            title: X-Api-Key
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_get_callback_data_api_v1_get_callback_data_post
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Body_get_callback_data_api_v1_get_callback_data_post:
      properties:
        task_id:
          type: string
          title: Task Id
        endpoint_name:
          type: string
          title: Endpoint Name
      type: object
      required:
        - task_id
        - endpoint_name
      title: Body_get_callback_data_api_v1_get_callback_data_post
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````